component: Thc
metric: zoox::diag::EmptyMetric
namespace: zoox::l3_thermal_gateway
faults:
  - id: 0
    name: PumpComm
    severity: WARNING
    description: "Communication failure with the THC Pump"
  - id: 1
    name: PumpFunc
    severity: WARNING
    description: "Functional failure with the THC Pump"
  - id: 2
    name: ValveComm
    severity: WARNING
    description: "Communication failure with the THC Valve"
  - id: 3
    name: ValveFunc
    severity: WARNING
    description: "Functional failure with the THC Valve"
  - id: 4
    name: Lin1Bus
    severity: WARNING
    description: "Issue with LIN BUS 1"
  - id: 5
    name: Lin10Bus
    severity: WARNING
    description: "Issue with LIN BUS 10"
  - id: 6
    name: Lin1DriverAssert
    severity: WARNING
    description: "Driver Assert Failure with LIN 1"
  - id: 7
    name: Lin10DriverAssert
    severity: WARNING
    description: "Driver Assert Failure with LIN 10"
  - id: 8
    name: CoolantTempSns
    severity: WARNING
    description: "Coolant Temperature Sensor Error"
  - id: 9
    name: AiCanBus
    severity: WARNING
    description: "AI CAN Bus Error"
  - id: 10
    name: AiCanTx
    severity: WARNING
    description: "Error Sending CAN Frame onto AI CAN"
  - id: 11
    name: AiCanRx
    severity: WARNING
    description: "Error Receiving CAN Frame from AI CAN"
  - id: 12
    name: Lin3Bus
    severity: WARNING
    description: "Issue with LIN BUS 3"
  - id: 13
    name: Lin3DriverAssert
    severity: WARNING
    description: "Driver Assert Failure with LIN 3"
  - id: 14
    name: CoolantOvertemp
    severity: WARNING
    description: "Coolant temperature higher than expected"
  - id: 15
    name: EvapUndertemp
    severity: ERROR
    triggers_nogo: true
    description: "Evaporator fin temperature lower than expected. Compressor overrides disabled."
  - id: 16
    name: RegOverPressure
    severity: ERROR
    triggers_nogo: true
    description: "Regulator pressure higher than expected. Compressor overrides disabled."
  - id: 17
    name: ChCanFault
    severity: ERROR
    triggers_nogo: true
    description: "Expected messages not seen on CH_CAN. Relay disabled."
  - id: 18
    name: AmpCanFault
    severity: ERROR
    triggers_nogo: true
    description: "Expected messages not seen on AMP_CAN. Relay disabled."
  - id: 19
    name: CompSpeedZero
    severity: WARNING
    description: "Compressor speed is zero, no refrigeration."
